echo on
:!
:!  SHOWIC.BAT:  generate instrument-correction illustations
:!               for the BAP user's guide OFR.
:!
:!  *** note:  I added padsec=0 statements to each BAP command
:!             because TSPLOt isn't smart enough (yet) to
:!             syncronize a padded with unpadded time series.
:!
@echo on
@echo.
@echo  +++ Is it OK to delete all FIG52*.APS files in the local dir?
@echo      (If not, type CNTRL+C to abort this run.)
@echo.
@pause
del fig52*.aps
:!
copy %agroot%\testdata\elcen1.smc *.*
copy %agroot%\testdata\pvb6.smc   *.*
:!
:!  densely digitized data:
:!
bap idc=aa,pvb6.smc,input(f),padsec=0,inscor(f), period=0.039,damping=0.6,hitbeg=50.,hitend=100.
IF errorlevel 1 goto STOPIT
ptsp aainout.bbf(43),aainscor.bbf(43),15,16,1, nopeak, twoxax,axesonly
:! *** no room on PC command line for: xmargin(0.07,0.999),ymargin(0.1,0.9)
IF errorlevel 1 goto STOPIT
rename plots.aps fig52a.aps
:!
:!  sparsely digitzed data with too-high high-cut filter
:!
bap idc=bb,elcen1.smc,padsec=0, input(f), inscor(f), hitbeg=50., hitend=100.
IF errorlevel 1 goto STOPIT
:!
:!   sparsely digitzed data with appropriate high-cut filter
:!
bap idc=cc,elcen1.smc,padsec=0, input(f), inscor(f), hitbeg=15., hitend=20.
IF errorlevel 1 goto STOPIT
ptsp ccinout.bbf(440),bbinscor.bbf(440),ccinscor.bbf(440), 9,10,1,nopeak,portrait, twoxax, axesonly
:!  *** no room on PC command line for: xmargin(0.07,0.999),ymargin(0.1,0.9)
IF errorlevel 1 goto STOPIT
rename plots.aps fig52b.aps
:!
:!  Done
:!
@echo  Done!
goto END
:!
:STOPIT
@echo  *** Oops! abnormal end.
:END
