echo on
:!
:!   zigzag.BAT = PC version of the VAX ZIGZAG.BAT used to generate
:!                figures 5.2.a and 5.6 in the BAP OFR.  We want:
:!    zigzag1:  no filter, nopad
:!    zigzag2:     filter, nopad
:!    zigzag3:     filter, too short pad
:!    zigzag4:     filter, long enough pad
:!    zigazg5:     " , but shorter pad due to nroll=1
:!
:!  - later: fix tsplot to remove pad label if requested
:!
@echo on
@echo.
@echo  +++ Is it OK to delete ZZ*.BBF and all ZIGZAG*.APS files in
@echo      the local dir?  (If not, type CNTRL+C to abort this run.)
@echo.
@pause
del zz*.bbf
del zigzag*.aps
:!
copy %agroot%\testdata\zigzag.smc *.*
copy %agroot%\examples\a.tsp *.*
:!
:!  1) No filter, no pad
:!
bap zigzag.smc,input(f), NOpad, padsec=0.0, avd(f)
IF errorlevel 1 goto STOPIT
rename bpinout.bbf zz.bbf
copy zz.bbf zz2.bbf
ptsp zz.bbf,zz2.bbf,bpvel.bbf,bpdis.bbf,-8,10,18, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps zigzag1.aps
:!
:!  2) filter, nopad
:!
bap zigzag.smc, NOpad, padsec=0.0,locut(f), corner=0.75, nroll=4, avd(f)
IF errorlevel 1 goto STOPIT
ptsp zz.bbf,bpacc.bbf,bpvel.bbf,bpdis.bbf, -8,10,18, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps zigzag2.aps
:!
:!  3) nroll=4, padsec=5
:!
bap zigzag.smc, pad, padsec=5.0,locut(f), corner=0.75, nroll=4, avd(f)
IF errorlevel 1 goto STOPIT
ptsp zz.bbf,bpacc.bbf,bpvel.bbf,bpdis.bbf, -8,10,18, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps zigzag3.aps
:!
:!  4) nroll=4, padsec=8
:!
bap zigzag.smc, pad, padsec=8.0,locut(f), corner=0.75, nroll=4, avd(f)
IF errorlevel 1 goto STOPIT
ptsp zz.bbf,bpacc.bbf,bpvel.bbf,bpdis.bbf, -8,10,18, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps zigzag4.aps
:!
:!  5) when nroll=1, padsec=3 is ok
:!
bap zigzag.smc, pad, padsec=3.0,locut(f), corner=0.75, nroll=1, avd(f)
IF errorlevel 1 goto STOPIT
ptsp zz.bbf,bpacc.bbf,bpvel.bbf,bpdis.bbf, -8,10,18,  @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps zigzag5.aps
:!
:!  Done
:!
@echo  Done!
goto END
:!
:STOPIT
@echo  *** Oops! abnormal end.
:END
 
