@echo.
@echo   PSMC.BAT  Plots an SMC-format time-series, PostScript version.
@echo             Usage:  PSMC {name-of-the-SMC-format-file}
@echo             See SSMC.BAT for the screen-plotting version.
@echo.
@echo             PSMC invokes BAP to convert the input file from SMC-
@echo                  format to BBF-format, then invokes PTSP to plot
@echo                  the time-series in the BBF-format file.
@echo             PSMC generates 2 files:
@echo                  ZZinout.bbf (= the BBF-format file), and
@echo                  PLOTS.APS   (= the PostScript plot description file).
@echo.
@IF $ == $%1 goto NOFILE
@echo on
delete zzinout.bbf
BAP idc=zz, %1, input(f)
@IF errorlevel 1 goto BAD
PTSP zzinout.bbf,twoyax,twoxax,notlbl
@IF errorlevel 1 goto BAD
@echo.
@echo     OK!  The plot description is in the file named PLOTS.APS.
@echo          You can display the plot on your screen by typing:
@echo              SCRPLOT PLOTS.APS
@echo          Or you can send the plot to the printer (if and only if
@echo          it is a PostScript printer) by typing:
@echo              PRINT PLOTS.APS
@echo.
@GOTO DONE
:!
:!   abnormal ends:
:!
:BAD
@echo.
@echo             *** Oops!  Something went wrong in PSMC.BAT. ***
@echo.
@GOTO DONE
:!
:NOFILE
@echo.    
@echo             ***
@echo             Sorry, but PSMC.BAT needs to be given the name of an 
@echo             SMC-format time-series data file on the command line
@echo             after the "PSMC ", as in:
@echo                PSMC  \AGRAM\TESTDATA\MELENDY.F02
@echo             Try again!
@echo             ***
@echo.   
:DONE
