@echo.
@echo   SSMC.BAT  Plots an SMC-format time-series to the screen.
@echo             Usage:  SSMC {name-of-SMC-format-file}
@echo             See PSMC.BAT for the PostScript-plotting version.
@echo.
@echo             SSMC invokes BAP to convert the input file from SMC-
@echo                  format to BBF-format, then invokes STSP to plot
@echo                  the time-series in the BBF-format file.
@echo             SSMC generates an intermediate file named ZZinout.bbf,
@echo                  which is the BBF-format file version of the SMC-
@echo                  format file
@echo.
@IF $ == $%1 goto NOFILE
@echo on
del zzinout.bbf
BAP idc=zz, %1, input(f)
@IF errorlevel 1 goto BAD
STSP zzinout.bbf,twoyax,twoxax,notlbl
@IF errorlevel 1 goto BAD
@GOTO DONE
:!
:!   abnormal ends:
:!
:BAD
@echo.
@echo             *** Oops!  Something went wrong in SSMC.BAT. ***
@echo.
@GOTO DONE
:!
:NOFILE
@echo.    
@echo             ***
@echo             Sorry, but SSMC.BAT needs to be given the name of an 
@echo             SMC-format time-series data file on the command line
@echo             after the "SSMC ", as in:
@echo                SSMC  \AGRAM\TESTDATA\MELENDY.F02
@echo             Try again!
@echo             ***
@echo.   
:DONE
